- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionViewItemV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 562 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionViewItemV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
enum | ViewItemFeature { None = 0x00, WrapText = 0x01, Alternate = 0x02, HasCheckIndicator = 0x04, HasDisplay = 0x08, HasDecoration = 0x10 }
## Public Member Functions
| QStyleOptionViewItemV2 ()
| QStyleOptionViewItemV2 (const QStyleOptionViewItemV2 &other)
| QStyleOptionViewItemV2 (const QStyleOptionViewItem &other)
QStyleOptionViewItemV2 & | operator= (const QStyleOptionViewItem &other)
## Public Attributes
ViewItemFeatures | features
## Protected Member Functions
| QStyleOptionViewItemV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionViewItem.

Reimplemented in QStyleOptionViewItemV3, and QStyleOptionViewItemV4.

Definition at line 565 of file qstyleoption.h.

    { Version = 2 };

enum ViewItemFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  WrapText | Search for all occurrences
  Alternate | Search for all occurrences
  HasCheckIndicator | Search for all occurrences
  HasDisplay | Search for all occurrences
  HasDecoration | Search for all occurrences

Definition at line 567 of file qstyleoption.h.

                             {
            None = 0x00,
            WrapText = 0x01,
            Alternate = 0x02,
            HasCheckIndicator = 0x04,
            HasDisplay = 0x08,
            HasDecoration = 0x10
        };

## Constructor & Destructor Documentation

QStyleOptionViewItemV2 | ( |  | ) |

QStyleOptionViewItemV2 | ( | const QStyleOptionViewItemV2 & | other | ) | `[inline]`

Definition at line 580 of file qstyleoption.h.

    : QStyleOptionViewItem(Version) { *this = other; }

QStyleOptionViewItemV2 | ( | const QStyleOptionViewItem & | other | ) |

QStyleOptionViewItemV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionViewItemV2& operator= | ( | const QStyleOptionViewItem & | other | ) |

Reimplemented in QStyleOptionViewItemV3, and QStyleOptionViewItemV4.

## Member Data Documentation

ViewItemFeatures features

Search for all occurrences

Definition at line 577 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2
QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2 QStyleOptionViewItemV2